#!/bin/bash

shellfu import pretty

#
# dist.sh module to query /etc/system-release
#

_distp_esr__get() {
    #
    # Get field from /etc/system-release
    #
    local key=$1
    local esr=/etc/system-release
    case $key in
        id)
            grep -qE 'Red Hat Enterprise Linux (Server |Workstation |ComputeNode |)' $esr \
             && echo rhel
            grep -q 'CentOS ' $esr \
             && echo centos
            ;;
        ver)
            grep -qE 'Red Hat Enterprise Linux (Server |Workstation |ComputeNode |)release [5-9]\.[0-9]+ ' $esr \
             && grep -o '[5-9]\.[0-9]\+' $esr
            grep -q 'CentOS release [5-9]\.[0-9]\+ ' $esr \
             && grep -o '[5-9]\.[0-9]\+' $esr
            ;;
        variant_id)
            grep -Eoe "Linux [^ ]+ release" $esr \
              | cut -d' ' -f2 \
              | tr '[:upper:]' '[:lower:]'
            ;;
        *)
            return 1
            ;;
    esac
    return 0
}

_distp_esr__enum() {
    #
    # Enumerate known keys
    #
    echo id
    echo ver
    echo variant_id
}

_distp_esr__sfpi_compat() {
    #
    # True if this plugin should work here
    #
    test -r /etc/system-release
}

#shellfu module-version=0.2.5
