#!/bin/bash

shellfu import pretty

#
# dist.sh module to query lsb_release command
#

_distp_lsb__get() {
    #
    # Get field from lsb_release
    #
    local key=$1
    case $key in
        id)             lsb_release -si \
                            | sed 's/^RedHatEnterprise.*/rhel/' \
                            | tr '[:upper:]' '[:lower:]' ;;
        description)    lsb_release -sd ;;
        ver)            lsb_release -sr ;;
        codename)       lsb_release -sc ;;
        "") mkusage -E KEY ;;
        *)  return 1 ;;
    esac
    return 0
}

_distp_lsb__enum() {
    #
    # Enumerate known keys
    #
    echo id
    echo description
    echo ver
    echo codename
}

_distp_lsb__sfpi_compat() {
    #
    # True if this plugin should work here
    #
    command -v lsb_release >/dev/null
}

#shellfu module-version=0.2.5
